apiVersion: apps/v1
kind: Deployment
metadata:
  name: video
spec:
  replicas: 1
  selector:
    matchLabels:
      app: video
  template:
    metadata:
      labels:
        app: video
      annotations: { prometheus.io/scrape: "false" }
    spec:
      containers:
        - name: vite
          image: bang5:5000/video_image
          command:
           - node_modules/.bin/vite
           - --debug
          ports:
            - containerPort: 8002
---
apiVersion: v1
kind: Service
metadata:
  name: video
spec:
  ports:
    - { port: 8002, targetPort: 8002, name: vite }
  selector:
    app: video
